summaryrefslogtreecommitdiff
path: root/tests/misc/selinux.sh
diff options
context:
space:
mode:
Diffstat (limited to 'tests/misc/selinux.sh')
-rwxr-xr-xtests/misc/selinux.sh2
1 files changed, 1 insertions, 1 deletions
diff --git a/tests/misc/selinux.sh b/tests/misc/selinux.sh
index 0914f50dd..1f906dde9 100755
--- a/tests/misc/selinux.sh
+++ b/tests/misc/selinux.sh
@@ -47,7 +47,7 @@ c=$(ls -l f|cut -c11); test "$c" = . || fail=1
# Copy with an invalid context and ensure it fails
# Note this may succeed when root and selinux is in permissive mode
if test "$(getenforce)" = Enforcing; then
- cp --context='invalid-selinux-context' f f.cp && fail=1
+ returns_ 1 cp --context='invalid-selinux-context' f f.cp || fail=1
fi
# Copy each to a new directory and ensure that context is preserved.